> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourvenues.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all list rates

> Get all list rates



## OpenAPI

````yaml get /list-rates
openapi: 3.0.0
info:
  title: Channel Manager API
  version: 0.1.0
  description: >-
    Official API documentation for Channel Manager. All endpoints are protected
    by an API key.
servers:
  - url: https://channels-service-alpha.fourvenues.com
    description: Test server
  - url: https://channels-service.fourvenues.com
    description: Production server
security: []
tags: []
paths:
  /list-rates:
    get:
      tags:
        - ListRates
      summary: Get all list rates
      description: Get all list rates
      operationId: getListRates
      parameters:
        - name: event_id
          in: query
          description: Filter by event_id (comma separated list)
          required: true
          example: abcde12345, fghij67890
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ListRate'
                  success:
                    type: boolean
        '400':
          description: Bad Request
      security:
        - ApiKey: []
components:
  schemas:
    ListRate:
      type: object
      properties:
        _id:
          type: string
          example: abcdefghi1234567890
          description: List rate unique identifier.
        organization_id:
          type: string
          example: abcdefghi1234567890
          description: List rate organization unique identifier.
        event_id:
          type: string
          example: abcdefghi1234567890
          description: Event unique identifier.
        name:
          type: string
          example: General Access
          description: Name of the list rate.
        slug:
          type: string
          example: general-access
          description: Name URL-friendly identifier.
        valid_from:
          type: string
          example: '2022-01-01T00:00:00.000Z'
          description: Date when the price will be available for sale.
        valid_until:
          type: string
          example: '2022-01-01T00:00:00.000Z'
          description: Date until the price will be available.
        complete:
          type: boolean
          example: false
          description: If the list rate is marked as complete.
        type:
          type: string
          example: limited
          enum:
            - limited
            - public
        prices:
          type: array
          items:
            $ref: '#/components/schemas/PriceListRate'
          description: Prices of the list rate.
        available:
          type: boolean
          example: true
          description: If the list rate is available.
        availability:
          type: object
          properties:
            sold:
              type: number
              example: 10
              description: Number of lists sold by the channel.
            available:
              type: number
              example: 90
              description: Number of lists available to buy.
        max:
          type: number
          example: 10
          description: Maximum number of lists that can be purchased in a single order.
      required:
        - id
        - organization_id
        - event_id
        - name
        - slug
        - valid_from
        - complete
        - type
        - prices
        - supplements
        - min
        - max
        - available
        - availability
        - questions
    PriceListRate:
      type: object
      description: >-
        A list rate can have one or multiple prices but only one can be active
        at a time.
      properties:
        _id:
          type: string
          example: '1643064796675'
          description: Unique identifier for the price.
        price:
          type: number
          example: 12
          description: Price of the list.
        from:
          type: number
          example: 14400
          description: Unix hour from the price you can enter.
        valid_from:
          type: string
          example: '2022-01-01T00:00:00.000Z'
          description: Date when the price will be available for sale.
        valid_until:
          type: string
          example: '2022-01-01T00:00:00.000Z'
          description: Date until the price will be available.
        men:
          type: boolean
          example: true
          description: Are men allowed
        women:
          type: boolean
          example: true
          description: Are women allowed
        age:
          type: number
          example: 18
          description: Age restriction
        additional_info:
          type: string
          example: Subject to capacity.
          description: More information for the list
      required:
        - id
        - price
        - valid_from
        - valid_until
        - men
        - women
        - age
        - additional_info
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````